### Method

# Fwupd Client refresh_remote_async

since: 2.0.0

#### Declaration [src]

    void
    fwupd_client_refresh_remote_async (
      FwupdClient* self,
      FwupdRemote* remote,
      FwupdClientDownloadFlags download_flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Refreshes a remote by downloading new metadata.

NOTE: This method is thread-safe, but progress signals will be emitted in the global default main context, if not explicitly set with `fwupd_client_set_main_context()`.

Available since: 2.0.0

This method completes asynchronously. Use `fwupd_client_refresh_remote_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`remote`

  Type: `FwupdRemote`

  A `FwupdRemote`.

  The data is owned by the caller of the method.

`download_flags`

  Type: `FwupdClientDownloadFlags`

  Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_ONLY_P2P`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.